### Method

# EDataServer Source set_parent

since: 3.6

#### Declaration [src]

    void
    e_source_set_parent (
      ESource* source,
      const gchar* parent
    )

#### Description [src]

Identifies the parent of `source` by its unique identifier string. This can only be set prior to adding `source` to an `ESourceRegistry`.

The internal copy of `ESource:parent` is automatically stripped of leading and trailing whitespace. If the resulting string is empty, `NULL` is set instead.

Available since: 3.6

Sets property | `EDataServer.Source:parent`

#### Parameters

`parent`

  Type: `const gchar*`

  The UID of the parent `ESource`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.